Package org.eclipse.birt.report.engine.api

# Interface IHTMLImageHandler

All Known Implementing Classes:
  `HTMLCompleteImageHandler`, `HTMLImageHandler`, `HTMLServerImageHandler`

public interface IHTMLImageHandler
Defines the image handler interface for use in HTML format

## Method Summary

Modifier and Type
Method
Description
`CachedImage`
`addCachedImage(String id, int type, IImage image, org.eclipse.birt.report.engine.api.script.IReportContext context)`
add the image into image cache, so it can be accessed through `getCachedImage`.
`CachedImage`
`getCachedImage(String id, int type, org.eclipse.birt.report.engine.api.script.IReportContext context)`
get the cached image for that id.
`String`
`onCustomImage(IImage image, Object context)`
Deprecated.
`String`
`onCustomImage(IImage image, org.eclipse.birt.report.engine.api.script.IReportContext context)`
`String`
`onDesignImage(IImage image, Object context)`
Deprecated.
`String`
`onDesignImage(IImage image, org.eclipse.birt.report.engine.api.script.IReportContext context)`
`String`
`onDocImage(IImage image, Object context)`
Deprecated.
`String`
`onDocImage(IImage image, org.eclipse.birt.report.engine.api.script.IReportContext context)`
`String`
`onFileImage(IImage image, Object context)`
Deprecated.
`String`
`onFileImage(IImage image, org.eclipse.birt.report.engine.api.script.IReportContext context)`
`String`
`onURLImage(IImage image, Object context)`
Deprecated.
`String`
`onURLImage(IImage image, org.eclipse.birt.report.engine.api.script.IReportContext context)`

## Method Details

### onDesignImage

@Deprecated String onDesignImage(IImage image, Object context)
Deprecated.
handles a design image. The implementation supplies a URL and optionally stores the image.

Parameters:
  `image` - the image definition object
  `context` - the context for generating the URL
Returns:
  the URL for the image

### onDesignImage

String onDesignImage(IImage image, org.eclipse.birt.report.engine.api.script.IReportContext context)

### onDocImage

@Deprecated String onDocImage(IImage image, Object context)
Deprecated.
handles a database image. The implementation supplies a URL and optionally stores the image.

Parameters:
  `image` - the image definition object
  `context` - the context for generating the URL
Returns:
  the URL for the image

### onDocImage

String onDocImage(IImage image, org.eclipse.birt.report.engine.api.script.IReportContext context)

### onFileImage

@Deprecated String onFileImage(IImage image, Object context)
Deprecated.
handles a image specified as a on-disk URI. The implementation supplies a URL and optionally stores the image.

Parameters:
  `image` - the image definition object
  `context` - the context for generating the URL
Returns:
  the URL for the image

### onFileImage

String onFileImage(IImage image, org.eclipse.birt.report.engine.api.script.IReportContext context)

### onURLImage

@Deprecated String onURLImage(IImage image, Object context)
Deprecated.
handles an image specified as an external URL. The implementation supplies a URL and optionally stores the image.

Parameters:
  `image` - the image definition object
  `context` - the context for generating the URL
Returns:
  the URL for the image

### onURLImage

String onURLImage(IImage image, org.eclipse.birt.report.engine.api.script.IReportContext context)

### onCustomImage

@Deprecated String onCustomImage(IImage image, Object context)
Deprecated.
handles a custom image created for example, by chart extension. The implementation supplies a URL and optionally stores the image.

Parameters:
  `image` - the image definition object
  `context` - the context for generating the URL
Returns:
  the URL for the image

### onCustomImage

String onCustomImage(IImage image, org.eclipse.birt.report.engine.api.script.IReportContext context)

### getCachedImage

CachedImage getCachedImage(String id, int type, org.eclipse.birt.report.engine.api.script.IReportContext context)
get the cached image for that id. The CachedImage object contains: URL: the absolute file path of the image. MIMETYPE: the mimetype of the image IMAGEMAP: the image map of the image.

Parameters:
  `id` - id of the image
  `type` - type of the image, one defined in the IImage
  `context` - script context
Returns:
  CachedImage object if find, otherwise, return null.

### addCachedImage

CachedImage addCachedImage(String id, int type, IImage image, org.eclipse.birt.report.engine.api.script.IReportContext context)
add the image into image cache, so it can be accessed through `getCachedImage`.

Parameters:
  `id` - cache key
  `type` - image type
  `image` - image object
  `context` - report context
Returns:
  the cached image.